#ifndef __EXTENDER_H
#define __EXTENDER_H

#include <stdint.h>
#include "confOrdi.h"

typedef struct{
	uint8_t type;
	uint8_t address;
	uint8_t bobine;
	uint8_t active;

}Actuator;

Actuator Actuator_t[12];

extern uint8_t gl_osmo1,gl_osmo2;

void Actuator_init();

void Actuator_start(uint8_t type);
void Actuator_stop(uint8_t type);

void Actuator_osmo_start(uint8_t type);

void Actuator_write(uint8_t add,uint8_t* value);
void Actuator_read(uint8_t add,uint8_t* value);

void Actuator_Satus();

#endif
